Description

Not sure if this is a regression.

Add a postgis layer without primary.

Toggling editing is possible but:

    -  only the "add feature" tool is active. New feature can be added and the layer can be saved by toggling editing (the "save edits" tool is

disabled as it is the node tool, the "move features" tool, the "delete selected" and the "cut features" ones).

    -  in the advanced digitizing toolbar the only active tools are simplify, reshape, split and merge selected, but none of them as any effect.

History

#1 - 2015-04-29 05:31 AM - Matthias Kuhn

- Status changed from Open to Feedback

Do you have an idea how to modify (send an update to the db) an existing feature without a primary key?

#2 - 2015-04-29 06:04 AM - Giovanni Manghi

- Status changed from Feedback to Open

Hi,

Matthias Kuhn wrote:

Do you have an idea how to modify (send an update to the db) an existing feature without a primary key?

no I don't. Anyway I'm not sure why you asked. This ticket is just about the fact that in this cases qgis gui/tools are not consistent. If there is any intrinsic

limitation about editing such layers then all the editing tools should be disabled. On the other hand if there are no particular limitations then editing tools

should be enabled.

#3 - 2015-04-30 12:02 AM - Matthias Kuhn

I asked because it's the foundation for the decision if the tools should be enabled or not :)
In this case I agree that all editing tools except for adding features should be disabled.

#4 - 2015-06-09 02:42 PM - Jürgen Fischer

- Subject changed from inconstistencies in editing tools when working on a postgis layer without primary key to inconsistencies in editing tools when 

working on a postgis layer without primary key

#5 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
